%if ! (0%{?fedora} > 12 || 0%{?rhel} > 5)
%{!?python_sitelib: %global python_sitelib %(%{__python} -c "from distutils.sysconfig import get_python_lib; print(get_python_lib())")}
%{!?python_sitearch: %global python_sitearch %(%{__python} -c "from distutils.sysconfig import get_python_lib; print(get_python_lib(1))")}
%endif

Name:		spyder
Version:	2.0.5
Release:	1%{?dist}
Summary:	Scientific Python Development Environment
Source0:	http://spyderlib.googlecode.com/files/%{name}-%{version}.zip
Source1:	%{name}.desktop
License:	MIT
Group:		Development/Tools
URL:		http://spyderlib.googlecode.com
BuildRequires:	python2-devel python-sphinx
BuildRequires:	desktop-file-utils
Requires:	PyQt4 pyflakes
Requires:	python-rope python-sphinx
Requires:	hicolor-icon-theme
BuildArch:	noarch

%description
Spyder is a Python development environment with advanced editing, interactive
testing, debugging and introspection features. It is especially recommended 
for scientific computing thanks to NumPy (linear algebra), SciPy (signal and 
image processing), matplotlib (interactive 2D/3D plotting), MayaVi’s mlab 
(interactive 3D visualization) and -of course- IPython support.

Spyder may also be used as a library providing powerful console-related PyQt4
widgets.

%prep
%setup -q
rm -rf PKG-INFO

# Remove DOS line endings
for file in `find -name "*.rst" -o -name "*.py" -o -name "*.css"` README; do
	sed "s|\r||g" $file > $file.new && \
	touch -r $file $file.new && \
	mv $file.new $file
done

%build
python setup.py build

%install
python setup.py install -O1 --skip-build --root=%{buildroot}
rm -rf %{buildroot}%{python_sitelib}/spyderlib/doc/{.buildinfo,.doctrees}

mkdir -p %{buildroot}%{_datadir}/icons/hicolor/scalable/apps/
cp -p img_src/%{name}.svg %{buildroot}%{_datadir}/icons/hicolor/scalable/apps/
desktop-file-install --dir=%{buildroot}%{_datadir}/applications %{SOURCE1}

%clean
rm -rf %{buildroot}

%post
touch --no-create %{_datadir}/icons/hicolor &>/dev/null || :

%postun
if [ $1 -eq 0 ] ; then
    touch --no-create %{_datadir}/icons/hicolor &>/dev/null
    gtk-update-icon-cache %{_datadir}/icons/hicolor &>/dev/null || :
fi

%posttrans
gtk-update-icon-cache %{_datadir}/icons/hicolor &>/dev/null || :

%files
%defattr(-, root, root, -)
%doc README
%{python_sitelib}/spyder-*.egg-info
%{python_sitelib}/spyderlib
%{python_sitelib}/spyderplugins
%{_bindir}/spyder
%{_datadir}/applications/*
%{_datadir}/icons/hicolor/*/apps/*

%changelog
* Sun Dec 19 2010 Chen Lei <supercyper@163.com> - 2.0.5-1
- Update to 2.0.5

* Wed Dec 08 2010 Chen Lei <supercyper@163.com> - 2.0.3-1
- Update to 2.0.3

* Wed Dec 01 2010 Chen Lei <supercyper@163.com> - 2.0.1-1
- Update to 2.0.1

* Tue Nov 30 2010 Chen Lei <supercyper@163.com> - 2.0.0-1
- Update to 2.0.0 final

* Wed Oct 13 2010 Chen Lei <supercyper@163.com> - 2.0.0-0.2.beta5
- Update to 2.0.0beta5

* Wed Sep 15 2010 Chen Lei <supercyper@163.com> - 2.0.0-0.1.beta3
- Initial rpm build
